Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

  • So I feel it is because there needs to be a new build of Retropie but my image won't boot on my Raspberry pi 4. I have the 4Gb model and I don't get a signal from both micro HDMIs. Is there something I am missing?

  • Global Moderator

    RetroPie doesn't provide PI4 compatible images - the new Pi model is not yet supported by RetroPie, there's an ongoing effort to make it compatible and make it work on it.


  • Okay that's what I thought. What about others who are able to get it work though? They were running on the 1 Gig model.


  • @Robbobb

    I managed to build EmulationStation and RetroArch from a git hub with in Raspbian and made it autorun, but the easier way was using the non team beta builds:

    [ link removed ]

    RetroPi4 is being worked on, but there isn't even proper graphics drivers available for the Pi4 yet, so it's not going to be 100% until after them and it will be even longer before the emulator/core optimizations are included. The hardware hasn't been out long, there is so many layers that need to be complete, the last thing RetroPi creators want are questions about non public releases such as the one I link too, so if you have any problems getting it to work, then your on your own to fix it, THAT is why they are not sharing beta images themselves, if they spent all their time answering posts about this stuff then they will spend less time working on getting the actual release finished. I for one hope they keep ignoring threads about Pi4 so they get it closer to spot on in the first release.


  • @LiveFreeDead
    Okay, I understand that. Thank you for the replies.

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.